curl --request GET \
--url https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7f4c9ba8-9c2d-4b82-8b8c-e5f8f8f8f8f8",
"email": "john.smith@example.com",
"legalId": "12345678Z",
"name": "John",
"surname": "Smith",
"birthDate": "1985-07-15",
"grossSalary": {
"amountInCents": 4500000,
"currency": "EUR"
},
"hiringDate": "2023-01-10",
"taxRegime": "general",
"workdayConfiguration": {
"daysPerMonth": 22,
"workTimePercentage": 100,
"numberOfPaychecks": 14,
"collectiveAgreementSalary": {
"amountInCents": 3800000,
"currency": "EUR"
}
},
"internalId": "EMP-1234",
"costCenter": {
"id": "94379329-1c79-4c82-8857-39bb4915a4cb",
"name": "Cost Center 1"
},
"payrollCompany": {
"id": "a3b77f74-68f3-4e35-8cb4-e16ece49b6a4",
"name": "Payroll Company"
},
"modelId": "7a6c9ab8-8c2d-5c82-9c8c-f5e7e7e7e7e7",
"metadata": {
"department": "Finance",
"manager": "Jane Doe",
"office": "Madrid"
},
"state": "active"
}{
"message": "Employee not found"
}{
"message": "Internal server error"
}Get employee
Overview
This endpoint allows you to retrieve detailed information about a specific employee in the Cobee system. It returns comprehensive data including personal information, salary details, workday configuration, and benefit-related information.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the company
The unique identifier of the employee
Response
Employee successfully retrieved
The unique identifier of the employee
The employee's email address
The employee's legal identifier
The employee's first name
The employee's surname
The employee's date of birth in ISO 8601 format (YYYY-MM-DD)
The employee's gross salary details
Show child attributes
Show child attributes
{
"amountInCents": 4500000,
"currency": "EUR"
}
The date when the employee was hired in ISO 8601 format (YYYY-MM-DD)
The employee's tax regime
general, basque, navarrese, biscayan Configuration of the employee's workday
Show child attributes
Show child attributes
{
"daysPerMonth": 22,
"workTimePercentage": 100,
"numberOfPaychecks": 14,
"collectiveAgreementSalary": {
"amountInCents": 3800000,
"currency": "EUR"
}
}
Your internal identifier for the employee
The ID of the benefit model assigned to this employee
The current state of the employee
not-active, active, removed, blocked The cost centre associated with this employee
Show child attributes
Show child attributes
The company handling the employee's payroll, if different from the main company
Show child attributes
Show child attributes
Additional metadata for the employee (key-value pairs)